FUNCTION REGRID, ARRAY, NX, NY
;- Return a bilinear interpolated array with dimensions NX and NY from input ARRAY
if (n_elements(array) eq 0) then message, 'ARRAY is undefined'
dims = size(array, /dimensions)
if (n_elements(dims) ne 2) then message, 'ARRAY must have 2 dimensions'
xindex = (findgen(nx) + 0.5) * (dims[0] / float(nx)) - 0.5
yindex = (findgen(ny) + 0.5) * (dims[1] / float(ny)) - 0.5
return, interpolate(array, xindex, yindex, /grid)
END
